.event-card{ z-index: 0;
    padding: var(--space-m) var(--space-xl);
    border-radius: var(--border-radius-rounded-xs);
    background-color: var(--color-blue-lightest);
    position: relative;
    &--title{ 
        margin-bottom: var(--space-base);
        z-index: 1;
        span{
            font-size: var(--font-size-s);
            font-weight: var(--font-bold);
            color: var(--color-blue-darkest);
        }
    }
    &--content{ 
        margin-bottom: var(--space-s);
        z-index: 1;
        span{
            font-size: var(--font-size-s);
            font-weight: 500;
            color: var(--color-blue-darker);
        }
    }
    &--bottom{
        z-index: 1;
        &__actions{
            .separator{
                background-color: var(--color-blue-lighter);
            }
            &-link{
                a[data-link]{
                    font-size: var(--font-size-s);
                    font-weight: 500;
                    color: var(--color-info);
                    transition: 0.3s ease;
                    &:hover{
                        text-decoration: none;
                        color: var(--color-blue-darker);
                    }
                }
            }
            &-user-avatar-container{
                display: flex;
                align-items: center;
                justify-content: flex-start;
                
                .avatar{
                    border: 1px solid var(--color-neutral-0);
                }

                div:not(.avatar){
                    border: 1px solid var(--color-neutral-0);
                    border-radius: var(--border-radius-rounded);
                    background-color: var(--color-primary);
                    width: 32px;
                    height: 32px;
                    display: inline-flex;
                    align-items: center;
                    justify-content: center;
                    color: var(--color-neutral-0);
                    font-weight: 500;
                }

                .avatar, div:not(.avatar){
                    margin-left: -8px;
                    &:first-of-type{
                        margin-left: 0;
                    }
                }
            }
        }
    }
    &--background-img{
        position: absolute;
        bottom: -6px;
        right: 0;
        z-index: -1;
    }

    &.is-next-in-queue{
        background-color: var(--color-blue);
        box-shadow: var(--shadow-s);
        .event-card{
            &--title{
                z-index: 1;
                span{
                    color: var(--color-neutral-0);
                }
            }
            &--content{
                z-index: 1;
                span{
                    color: var(--color-neutral-0);
                }
                div{
                    &:last-child{
                        span{
                            display: inline-block;
                        }
                        & > div{
                            display: inline-block;
                            span{
                                margin-left: var(--space-s);
                            }
                        }
                    }
                }
            }
            &--bottom{
                z-index: 1;
                &__actions{
                    &-btn{
                        position: absolute;
                        bottom: 0;
                        right: 0;
                        border-top-left-radius: var(--border-radius-rounded-xs);
                        border-bottom-right-radius: var(--border-radius-rounded-xs);
                        background-color: var(--color-neutral-0);
                        padding: var(--space-s) var(--space-base);
                        i{
                            color: var(--color-indigo-darker);
                        }
                    }
                }
            }
            &--background-img{
                bottom: unset;
                top: 0;
                right: var(--space-base);
                z-index: -1;
            }
        }
    }
}